Support » Plugin: WP Migrate DB - WordPress Migration Made Easy » Parse error on line 2866 with https wordpress site

  • When trying to activate WP Migrate DB on a https website (works fine on other WP sites without https) I keep getting the following error and then it blocks my whole wp-admin access with the following error:

    Parse error: syntax error, unexpected ‘:’ in /agx/wp-content/plugins/wp-migrate-db/class/wpmdb.php on line 2686

    At present only way out of this is to then remove WP migrate DB directory from plugins folder.

    Any help on this much appreciated.

    The page I need help with: [log in to see the link]

Viewing 4 replies - 1 through 4 (of 4 total)
  • Hi, what PHP version are you running on this site?

    Thread Starter madhatterwales

    (@madhatterwales)

    This site is running on PHP 5.2.17

    Do you think that could be it?

    I got almost the same – except the line.
    Parse error: syntax error, unexpected ‘:’ in /kunden/192222_10965/webseiten/diaboloqueen.com/wp-content/plugins/wp-migrate-db/class/wpmdb.php on line 2686

    Updating PHP from 5.2.17 to the latest stable worked.

    Yes, PHP 5.2 reached end of life nearly 7 years ago. We’ll try to fix the backwards compatibility for our next release, but in the meantime I’d recommend updating to a currently supported version of PHP.

    If that’s not an option, you can update that line to read:

    $main_domain_replace = $this->get_domain_replace() ? $this->get_domain_replace() : $this->get_domain_current_site();

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Parse error on line 2866 with https wordpress site’ is closed to new replies.